<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>图书管理</title>
	<%--静态包含：base标签，css样式，js脚本--%>
	<%@ include file="/pages/common/head.jsp"%>
	<script type="text/javascript">

		$(function (){
			//给删除标签绑定事件，用于提示操作
			$("a.deleteClass").click(function (){
				/**
				 * 确认提示框函数：参数是其提示的内容
				 * 两个按钮，一个是确认，一个是取消
				 */
				 return confirm("你确定要删除【" + $(this).parent().parent().find("td:first").text()+ "】？");
			});
		});
	</script>
</head>
<body>
	
	<div id="header">
			<img class="logo_img" alt="" src="../../static/img/logo.gif" >
			<span class="wel_word">图书管理系统</span>
		<%--静态包含：图书馆里，订单管理，返回商城--%>
<%--		<%@include file="/pages/common/manager_menu.jsp"%>--%>
		<div>
<%--			<a href="manager/bookServlet?action=page">图书管理</a>--%>
			<a href="orderServlet?action=ordermanager">订单管理</a>
			<a href="index.jsp">返回商城</a>
		</div>
	</div>
	
	<div id="main">
		<table>
			<tr>
				<td>名称</td>
				<td>价格</td>
				<td>作者</td>
				<td>销量</td>
				<td>库存</td>
				<td colspan="2">操作</td>
			</tr>
			<c:forEach items="${requestScope.page.items}" var="book">
				<tr>
					<td>${book.name}</td>
					<td>${book.price}</td>
					<td>${book.author}</td>
					<td>${book.sales}</td>
					<td>${book.stock}</td>
<%--					<td><a href="manager/bookServlet?action=getBook&id=${book.id}&method=update&pageNo=${requestScope.page.pageNo}">修改</a></td>--%>
					<td><a href="bookServlet?action=getBook&id=${book.id}&method=update&pageNo=${requestScope.page.pageNo}">修改</a></td>
<%--					<td><a class="deleteClass" href="manager/bookServlet?action=delete&id=${book.id}&pageNo=${requestScope.page.pageNo}">删除</a></td>--%>
					<td><a class="deleteClass" href="bookServlet?action=delete&id=${book.id}&pageNo=${requestScope.page.pageNo}">删除</a></td>
				</tr>
			</c:forEach>

			<tr>
				<td></td>
				<td></td>
				<td></td>
				<td></td>
				<td></td>
				<td></td>
				<td><a  href="pages/manager/book_edit.jsp?method=add&pageNo=${requestScope.page.pageTotal}">添加图书</a></td>
			</tr>	
		</table>
		<%--添加判断，如果是首页，则不显示此内容--%>
		<%--静态包含分页内容--%>
		<%@include file="/pages/common/page_nav.jsp"%>
	</div>

	<%--静态包含：页脚--%>
	<%@include file="/pages/common/footer.jsp"%>
</body>
</html>